Product

Prev Next

Product JSON Format

Product is represented as simple flat JSON objects with the following keys:

Name Type Description
id string ID of Product.
moduleId string ID of module.
name string Name of Product.
description string Description of Product.
isDeleted bool Whether the Product is deleted or not.
module array Details of module.

Get the list of Products

GET global/products

  • Parameters:

Name Type in Required Description
module string query no ID of the module.
  • Response:

An array of Product

  • Example

Sample Request:

curl https://partnerapi.comm100.io/v4/global/products \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "LiveChat",
      "moduleId":"LiveChat",
      "name": "LiveChat",
      "description": "This is LiveChat.",
      "isDeleted": false,
      "module": {
          "id": "LiveChat",
          "name": "Live Chat",
          "description": "",
          "order": 1,
          "isDeleted": false
      }
  }
] 

Get site Products

GET global/sites/{siteId}/products

  • Parameters:

No Parameters

  • Response:

An array of Product

  • Example

Sample Request:

curl https://partnerapi.comm100.io/v4/global/sites/100/products \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "LiveChat",
      "moduleId":"LiveChat",
      "name": "LiveChat",
      "description": "This is LiveChat.",
      "isDeleted": false
  }
] 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.